Package org.eclipse.net4j.util.event

# Interface INotifier.INotifier2

All Superinterfaces:
  `INotifier`

All Known Implementing Classes:
  `AbstractDelegator`, `Cache`, `CacheMonitor`, `ChallengeNegotiator`, `ChallengeResponseNegotiator`, `Container`, `ContainerBlockingQueue`, `ContainerCollection`, `ContainerList`, `ContainerMap`, `ContainerQueue`, `ContainerSet`, `ContainerSortedSet`, `DelegatingRegistry`, `ElementWizard`, `ExecutorServiceNotifier`, `ExecutorServiceNotifier.ThreadPool`, `ExecutorWorkSerializer`, `FileUserManager`, `FiniteStateMachine`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `History`, `Lifecycle`, `LifecycleHook`, `ListContainer`, `ManagedContainer`, `ModifiableContainer`, `Negotiator`, `Notifier`, `PersistableContainer`, `PreferenceHistory`, `PriorityQueueRunner`, `QueueRunner`, `QueueRunner2`, `QueueWorker`, `QueueWorkerWorkSerializer`, `Randomizer`, `ReferenceMonitor`, `ReferenceQueueWorker`, `Registry`, `ResponseNegotiator`, `RollingLog`, `RWLockManager`, `RWOLockManager`, `SerializingExecutor`, `SetContainer`, `ShareableLifecycle`, `UIQueueRunner`, `UserManager`, `UserManagerAuthenticator`, `ValueNotifier`, `Worker`

Enclosing interface:
  INotifier

public static interface INotifier.INotifier2 extends INotifier

Since:
  3.13
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addUniqueListener(IListener listener)`
Adds a listener to this notifier unless this notifier already `contains` the listener.
`boolean`
`hasListener(IListener listener)`
Returns `true` if this notifier contains the listener, `false` otherwise.

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### hasListener

boolean hasListener(IListener listener)
Returns `true` if this notifier contains the listener, `false` otherwise.

### addUniqueListener

boolean addUniqueListener(IListener listener)
Adds a listener to this notifier unless this notifier already `contains` the listener.